# Mounting encrypted volumes helper

crypt-mounts' purpose is to reduce to one the commands needed to mount punctually encrypted volumes.

### Introduction
One defines their mounts in `mounts.conf`, giving for each:
* the mapper name (usually defined in `/etc/crypttab`);
* the mount target path;
* a friendly name for the mount (optional);
* a boolean for enabling auto-locking (i.e. closing encrypted volume when unmounted) or not.

The install script then generates a Systemd mount file for each mount, with the required bindings.

### Files
* `template.mount` is a template for Systemd mount units.
* `close-vault.conf.template` is a Systemd drop-in template, for auto-locking.
#### Installation
* `mounts.conf.template` contains a mount definition example, and should be copied locally in `mounts.conf.d`
  as `<something>.conf`, for each of your mounts.
* `install.sh` script copies Systemd templates to their destination, depending on your definitions in `mounts.conf.d`.

### TODO
* Nothing
